io.vertx.rxjava.core.buffer

## Class Buffer

- java.lang.Object
- - io.vertx.rxjava.core.buffer.Buffer

- All Implemented Interfaces:
    io.vertx.core.shareddata.impl.ClusterSerializable, io.vertx.lang.rx.RxDelegate

      public class Buffer
      extends Object
      implements io.vertx.lang.rx.RxDelegate, io.vertx.core.shareddata.impl.ClusterSerializable

  Most data is shuffled around inside Vert.x using buffers.

  A buffer is a sequence of zero or more bytes that can read from or written to and which expands automatically as necessary to accommodate any bytes written to it. You can perhaps think of a buffer as smart byte array.

  Please consult the documentation for more information on buffers.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<Buffer>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Buffer(Buffer delegate)`
    `Buffer(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Buffer` | `appendBuffer(Buffer buff)` Appends the specified `Buffer` to the end of this Buffer.
    `Buffer` | `appendBuffer(Buffer buff, int offset, int len)` Appends the specified `Buffer` starting at the `offset` using `len` to the end of this Buffer.
    `Buffer` | `appendByte(byte b)` Appends the specified `byte` to the end of the Buffer.
    `Buffer` | `appendBytes(byte[] bytes)` Appends the specified `byte[]` to the end of the Buffer.
    `Buffer` | `appendBytes(byte[] bytes, int offset, int len)` Appends the specified number of bytes from `byte[]` to the end of the Buffer, starting at the given offset.
    `Buffer` | `appendDouble(double d)` Appends the specified `double` to the end of the Buffer.
    `Buffer` | `appendFloat(float f)` Appends the specified `float` to the end of the Buffer.
    `Buffer` | `appendInt(int i)` Appends the specified `int` to the end of the Buffer.
    `Buffer` | `appendIntLE(int i)` Appends the specified `int` to the end of the Buffer in the Little Endian Byte Order.
    `Buffer` | `appendLong(long l)` Appends the specified `long` to the end of the Buffer.
    `Buffer` | `appendLongLE(long l)` Appends the specified `long` to the end of the Buffer in the Little Endian Byte Order.
    `Buffer` | `appendMedium(int i)` Appends the specified 24bit `int` to the end of the Buffer.
    `Buffer` | `appendMediumLE(int i)` Appends the specified 24bit `int` to the end of the Buffer in the Little Endian Byte Order.
    `Buffer` | `appendShort(short s)` Appends the specified `short` to the end of the Buffer.The buffer will expand as necessary to accommodate any bytes written.
    `Buffer` | `appendShortLE(short s)` Appends the specified `short` to the end of the Buffer in the Little Endian Byte Order.The buffer will expand as necessary to accommodate any bytes written.
    `Buffer` | `appendString(String str)` Appends the specified `String str` to the end of the Buffer with UTF-8 encoding.
    `Buffer` | `appendString(String str, String enc)` Appends the specified `String` to the end of the Buffer with the encoding as specified by `enc`.
    `Buffer` | `appendUnsignedByte(short b)` Appends the specified unsigned `byte` to the end of the Buffer.
    `Buffer` | `appendUnsignedInt(long i)` Appends the specified unsigned `int` to the end of the Buffer.
    `Buffer` | `appendUnsignedIntLE(long i)` Appends the specified unsigned `int` to the end of the Buffer in the Little Endian Byte Order.
    `Buffer` | `appendUnsignedShort(int s)` Appends the specified unsigned `short` to the end of the Buffer.The buffer will expand as necessary to accommodate any bytes written.
    `Buffer` | `appendUnsignedShortLE(int s)` Appends the specified unsigned `short` to the end of the Buffer in the Little Endian Byte Order.The buffer will expand as necessary to accommodate any bytes written.
    `static Buffer` | `buffer()` Create a new, empty buffer.
    `static Buffer` | `buffer(byte[] bytes)` Create a new buffer from a byte[].
    `static Buffer` | `buffer(ByteBuf byteBuf)` Deprecated.
    `static Buffer` | `buffer(int initialSizeHint)` Create a new buffer given the initial size hint.
    `static Buffer` | `buffer(String string)` Create a new buffer from a string.
    `static Buffer` | `buffer(String string, String enc)` Create a new buffer from a string and using the specified encoding.
    `Buffer` | `copy()` Returns a copy of the entire Buffer.
    `boolean` | `equals(Object o)`
    `Buffer` | `getBuffer(int start, int end)` Returns a copy of a sub-sequence the Buffer as a `Buffer` starting at position `start` and ending at position `end - 1`
    `byte` | `getByte(int pos)` Returns the `byte` at position `pos` in the Buffer.
    `ByteBuf` | `getByteBuf()` Deprecated.
    `byte[]` | `getBytes()` Returns a copy of the entire Buffer as a `byte[]`
    `Buffer` | `getBytes(byte[] dst)` Transfers the content of the Buffer into a `byte[]`.
    `Buffer` | `getBytes(byte[] dst, int dstIndex)` Transfers the content of the Buffer into a `byte[]` at the specific destination.
    `byte[]` | `getBytes(int start, int end)` Returns a copy of a sub-sequence the Buffer as a `byte[]` starting at position `start` and ending at position `end - 1`
    `Buffer` | `getBytes(int start, int end, byte[] dst)` Transfers the content of the Buffer starting at position `start` and ending at position `end - 1` into a `byte[]`.
    `Buffer` | `getBytes(int start, int end, byte[] dst, int dstIndex)` Transfers the content of the Buffer starting at position `start` and ending at position `end - 1` into a `byte[]` at the specific destination.
    `Buffer` | `getDelegate()`
    `double` | `getDouble(int pos)` Returns the `double` at position `pos` in the Buffer.
    `float` | `getFloat(int pos)` Returns the `float` at position `pos` in the Buffer.
    `int` | `getInt(int pos)` Returns the `int` at position `pos` in the Buffer.
    `int` | `getIntLE(int pos)` Gets a 32-bit integer at the specified absolute `index` in this buffer with Little Endian Byte Order.
    `long` | `getLong(int pos)` Returns the `long` at position `pos` in the Buffer.
    `long` | `getLongLE(int pos)` Gets a 64-bit long integer at the specified absolute `index` in this buffer in Little Endian Byte Order.
    `int` | `getMedium(int pos)` Gets a 24-bit medium integer at the specified absolute `index` in this buffer.
    `int` | `getMediumLE(int pos)` Gets a 24-bit medium integer at the specified absolute `index` in this buffer in the Little Endian Byte Order.
    `short` | `getShort(int pos)` Returns the `short` at position `pos` in the Buffer.
    `short` | `getShortLE(int pos)` Gets a 16-bit short integer at the specified absolute `index` in this buffer in Little Endian Byte Order.
    `String` | `getString(int start, int end)` Returns a copy of a sub-sequence the Buffer as a `String` starting at position `start` and ending at position `end - 1` interpreted as a String in UTF-8 encoding
    `String` | `getString(int start, int end, String enc)` Returns a copy of a sub-sequence the Buffer as a `String` starting at position `start` and ending at position `end - 1` interpreted as a String in the specified encoding
    `short` | `getUnsignedByte(int pos)` Returns the unsigned `byte` at position `pos` in the Buffer, as a `short`.
    `long` | `getUnsignedInt(int pos)` Returns the unsigned `int` at position `pos` in the Buffer, as a `long`.
    `long` | `getUnsignedIntLE(int pos)` Returns the unsigned `int` at position `pos` in the Buffer, as a `long` in Little Endian Byte Order.
    `int` | `getUnsignedMedium(int pos)` Gets an unsigned 24-bit medium integer at the specified absolute `index` in this buffer.
    `int` | `getUnsignedMediumLE(int pos)` Gets an unsigned 24-bit medium integer at the specified absolute `index` in this buffer in Little Endian Byte Order.
    `int` | `getUnsignedShort(int pos)` Returns the unsigned `short` at position `pos` in the Buffer, as an `int`.
    `int` | `getUnsignedShortLE(int pos)` Gets an unsigned 16-bit short integer at the specified absolute `index` in this buffer in Little Endian Byte Order.
    `int` | `hashCode()`
    `int` | `length()` Returns the length of the buffer, measured in bytes.
    `static Buffer` | `newInstance(Buffer arg)`
    `int` | `readFromBuffer(int pos, Buffer buffer)`
    `Buffer` | `setBuffer(int pos, Buffer b)` Sets the bytes at position `pos` in the Buffer to the bytes represented by the `Buffer b`.
    `Buffer` | `setBuffer(int pos, Buffer b, int offset, int len)` Sets the bytes at position `pos` in the Buffer to the bytes represented by the `Buffer b` on the given `offset` and `len`.
    `Buffer` | `setByte(int pos, byte b)` Sets the `byte` at position `pos` in the Buffer to the value `b`.
    `Buffer` | `setBytes(int pos, byte[] b)` Sets the bytes at position `pos` in the Buffer to the bytes represented by the `byte[] b`.
    `Buffer` | `setBytes(int pos, byte[] b, int offset, int len)` Sets the given number of bytes at position `pos` in the Buffer to the bytes represented by the `byte[] b`.
    `Buffer` | `setBytes(int pos, ByteBuffer b)` Sets the bytes at position `pos` in the Buffer to the bytes represented by the `ByteBuffer b`.
    `Buffer` | `setDouble(int pos, double d)` Sets the `double` at position `pos` in the Buffer to the value `d`.
    `Buffer` | `setFloat(int pos, float f)` Sets the `float` at position `pos` in the Buffer to the value `f`.
    `Buffer` | `setInt(int pos, int i)` Sets the `int` at position `pos` in the Buffer to the value `i`.
    `Buffer` | `setIntLE(int pos, int i)` Sets the `int` at position `pos` in the Buffer to the value `i` in the Little Endian Byte Order.
    `Buffer` | `setLong(int pos, long l)` Sets the `long` at position `pos` in the Buffer to the value `l`.
    `Buffer` | `setLongLE(int pos, long l)` Sets the `long` at position `pos` in the Buffer to the value `l` in the Little Endian Byte Order.
    `Buffer` | `setMedium(int pos, int i)` Sets the 24bit `int` at position `pos` in the Buffer to the value `i`.
    `Buffer` | `setMediumLE(int pos, int i)` Sets the 24bit `int` at position `pos` in the Buffer to the value `i`.
    `Buffer` | `setShort(int pos, short s)` Sets the `short` at position `pos` in the Buffer to the value `s`.
    `Buffer` | `setShortLE(int pos, short s)` Sets the `short` at position `pos` in the Buffer to the value `s` in the Little Endian Byte Order.
    `Buffer` | `setString(int pos, String str)` Sets the bytes at position `pos` in the Buffer to the value of `str` encoded in UTF-8.
    `Buffer` | `setString(int pos, String str, String enc)` Sets the bytes at position `pos` in the Buffer to the value of `str` encoded in encoding `enc`.
    `Buffer` | `setUnsignedByte(int pos, short b)` Sets the unsigned `byte` at position `pos` in the Buffer to the value `b`.
    `Buffer` | `setUnsignedInt(int pos, long i)` Sets the unsigned `int` at position `pos` in the Buffer to the value `i`.
    `Buffer` | `setUnsignedIntLE(int pos, long i)` Sets the unsigned `int` at position `pos` in the Buffer to the value `i` in the Little Endian Byte Order.
    `Buffer` | `setUnsignedShort(int pos, int s)` Sets the unsigned `short` at position `pos` in the Buffer to the value `s`.
    `Buffer` | `setUnsignedShortLE(int pos, int s)` Sets the unsigned `short` at position `pos` in the Buffer to the value `s` in the Little Endian Byte Order.
    `Buffer` | `slice()` Returns a slice of this buffer.
    `Buffer` | `slice(int start, int end)` Returns a slice of this buffer.
    `Object` | `toJson()` Deprecated.
    `JsonArray` | `toJsonArray()` Returns a representation of this buffer's content.
    `JsonObject` | `toJsonObject()` Returns a representation of this buffer's content.
    `Object` | `toJsonValue()` Returns a Json value representation of this buffer's content.
    `String` | `toString()` Returns a `String` representation of the Buffer with the `UTF-8`encoding
    `String` | `toString(Charset enc)` Returns a `String` representation of the Buffer with the encoding specified by `enc`
    `String` | `toString(String enc)` Returns a `String` representation of the Buffer with the encoding specified by `enc`
    `void` | `writeToBuffer(Buffer buffer)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Buffer> __TYPE_ARG

  - ### Constructor Detail

    - #### Buffer

          public Buffer(Buffer delegate)

    - #### Buffer

          public Buffer(Object delegate)

  - ### Method Detail

    - #### writeToBuffer

          public void writeToBuffer(Buffer buffer)

      Specified by:
        `writeToBuffer` in interface `io.vertx.core.shareddata.impl.ClusterSerializable`

    - #### readFromBuffer

          public int readFromBuffer(int pos,
                                    Buffer buffer)

      Specified by:
        `readFromBuffer` in interface `io.vertx.core.shareddata.impl.ClusterSerializable`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Buffer getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### buffer

          public static Buffer buffer()

      Create a new, empty buffer.
      Returns:
        the buffer

    - #### buffer

          public static Buffer buffer(int initialSizeHint)

      Create a new buffer given the initial size hint.

      If you know the buffer will require a certain size, providing the hint can prevent unnecessary re-allocations as the buffer is written to and resized.

      Parameters:
        `initialSizeHint` - the hint, in bytes
      Returns:
        the buffer

    - #### buffer

          public static Buffer buffer(String string)

      Create a new buffer from a string. The string will be UTF-8 encoded into the buffer.
      Parameters:
        `string` - the string
      Returns:
        the buffer

    - #### buffer

          public static Buffer buffer(String string,
                                      String enc)

      Create a new buffer from a string and using the specified encoding. The string will be encoded into the buffer using the specified encoding.
      Parameters:
        `string` - the string
        `enc` -
      Returns:
        the buffer

    - #### toString

          public String toString()

      Returns a `String` representation of the Buffer with the `UTF-8`encoding
      Overrides:
        `toString` in class `Object`
      Returns:

    - #### toString

          public String toString(String enc)

      Returns a `String` representation of the Buffer with the encoding specified by `enc`
      Parameters:
        `enc` -
      Returns:

    - #### toJsonObject

          public JsonObject toJsonObject()

      Returns a representation of this buffer's content.
      Returns:

    - #### toJsonArray

          public JsonArray toJsonArray()

      Returns a representation of this buffer's content.
      Returns:

    - #### toJsonValue

          public Object toJsonValue()

      Returns a Json value representation of this buffer's content.
      Returns:
        a Json value which can be a , , `String`, ... if the buffer contains an array, object, string, ...etc

    - #### toJson

          @Deprecated
          public Object toJson()

      Deprecated.
      Returns:

    - #### getByte

          public byte getByte(int pos)

      Returns the `byte` at position `pos` in the Buffer.
      Parameters:
        `pos` -
      Returns:

    - #### getUnsignedByte

          public short getUnsignedByte(int pos)

      Returns the unsigned `byte` at position `pos` in the Buffer, as a `short`.
      Parameters:
        `pos` -
      Returns:

    - #### getInt

          public int getInt(int pos)

      Returns the `int` at position `pos` in the Buffer.
      Parameters:
        `pos` -
      Returns:

    - #### getIntLE

          public int getIntLE(int pos)

      Gets a 32-bit integer at the specified absolute `index` in this buffer with Little Endian Byte Order.
      Parameters:
        `pos` -
      Returns:

    - #### getUnsignedInt

          public long getUnsignedInt(int pos)

      Returns the unsigned `int` at position `pos` in the Buffer, as a `long`.
      Parameters:
        `pos` -
      Returns:

    - #### getUnsignedIntLE

          public long getUnsignedIntLE(int pos)

      Returns the unsigned `int` at position `pos` in the Buffer, as a `long` in Little Endian Byte Order.
      Parameters:
        `pos` -
      Returns:

    - #### getLong

          public long getLong(int pos)

      Returns the `long` at position `pos` in the Buffer.
      Parameters:
        `pos` -
      Returns:

    - #### getLongLE

          public long getLongLE(int pos)

      Gets a 64-bit long integer at the specified absolute `index` in this buffer in Little Endian Byte Order.
      Parameters:
        `pos` -
      Returns:

    - #### getDouble

          public double getDouble(int pos)

      Returns the `double` at position `pos` in the Buffer.
      Parameters:
        `pos` -
      Returns:

    - #### getFloat

          public float getFloat(int pos)

      Returns the `float` at position `pos` in the Buffer.
      Parameters:
        `pos` -
      Returns:

    - #### getShort

          public short getShort(int pos)

      Returns the `short` at position `pos` in the Buffer.
      Parameters:
        `pos` -
      Returns:

    - #### getShortLE

          public short getShortLE(int pos)

      Gets a 16-bit short integer at the specified absolute `index` in this buffer in Little Endian Byte Order.
      Parameters:
        `pos` -
      Returns:

    - #### getUnsignedShort

          public int getUnsignedShort(int pos)

      Returns the unsigned `short` at position `pos` in the Buffer, as an `int`.
      Parameters:
        `pos` -
      Returns:

    - #### getUnsignedShortLE

          public int getUnsignedShortLE(int pos)

      Gets an unsigned 16-bit short integer at the specified absolute `index` in this buffer in Little Endian Byte Order.
      Parameters:
        `pos` -
      Returns:

    - #### getMedium

          public int getMedium(int pos)

      Gets a 24-bit medium integer at the specified absolute `index` in this buffer.
      Parameters:
        `pos` -
      Returns:

    - #### getMediumLE

          public int getMediumLE(int pos)

      Gets a 24-bit medium integer at the specified absolute `index` in this buffer in the Little Endian Byte Order.
      Parameters:
        `pos` -
      Returns:

    - #### getUnsignedMedium

          public int getUnsignedMedium(int pos)

      Gets an unsigned 24-bit medium integer at the specified absolute `index` in this buffer.
      Parameters:
        `pos` -
      Returns:

    - #### getUnsignedMediumLE

          public int getUnsignedMediumLE(int pos)

      Gets an unsigned 24-bit medium integer at the specified absolute `index` in this buffer in Little Endian Byte Order.
      Parameters:
        `pos` -
      Returns:

    - #### getBuffer

          public Buffer getBuffer(int start,
                                  int end)

      Returns a copy of a sub-sequence the Buffer as a `Buffer` starting at position `start` and ending at position `end - 1`
      Parameters:
        `start` -
        `end` -
      Returns:

    - #### getString

          public String getString(int start,
                                  int end,
                                  String enc)

      Returns a copy of a sub-sequence the Buffer as a `String` starting at position `start` and ending at position `end - 1` interpreted as a String in the specified encoding
      Parameters:
        `start` -
        `end` -
        `enc` -
      Returns:

    - #### getString

          public String getString(int start,
                                  int end)

      Returns a copy of a sub-sequence the Buffer as a `String` starting at position `start` and ending at position `end - 1` interpreted as a String in UTF-8 encoding
      Parameters:
        `start` -
        `end` -
      Returns:

    - #### appendBuffer

          public Buffer appendBuffer(Buffer buff)

      Appends the specified `Buffer` to the end of this Buffer. The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Parameters:
        `buff` -
      Returns:

    - #### appendBuffer

          public Buffer appendBuffer(Buffer buff,
                                     int offset,
                                     int len)

      Appends the specified `Buffer` starting at the `offset` using `len` to the end of this Buffer. The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Parameters:
        `buff` -
        `offset` -
        `len` -
      Returns:

    - #### appendByte

          public Buffer appendByte(byte b)

      Appends the specified `byte` to the end of the Buffer. The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Parameters:
        `b` -
      Returns:

    - #### appendUnsignedByte

          public Buffer appendUnsignedByte(short b)

      Appends the specified unsigned `byte` to the end of the Buffer. The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Parameters:
        `b` -
      Returns:

    - #### appendInt

          public Buffer appendInt(int i)

      Appends the specified `int` to the end of the Buffer. The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Parameters:
        `i` -
      Returns:

    - #### appendIntLE

          public Buffer appendIntLE(int i)

      Appends the specified `int` to the end of the Buffer in the Little Endian Byte Order. The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Parameters:
        `i` -
      Returns:

    - #### appendUnsignedInt

          public Buffer appendUnsignedInt(long i)

      Appends the specified unsigned `int` to the end of the Buffer. The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Parameters:
        `i` -
      Returns:

    - #### appendUnsignedIntLE

          public Buffer appendUnsignedIntLE(long i)

      Appends the specified unsigned `int` to the end of the Buffer in the Little Endian Byte Order. The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Parameters:
        `i` -
      Returns:

    - #### appendMedium

          public Buffer appendMedium(int i)

      Appends the specified 24bit `int` to the end of the Buffer. The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Parameters:
        `i` -
      Returns:

    - #### appendMediumLE

          public Buffer appendMediumLE(int i)

      Appends the specified 24bit `int` to the end of the Buffer in the Little Endian Byte Order. The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Parameters:
        `i` -
      Returns:

    - #### appendLong

          public Buffer appendLong(long l)

      Appends the specified `long` to the end of the Buffer. The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Parameters:
        `l` -
      Returns:

    - #### appendLongLE

          public Buffer appendLongLE(long l)

      Appends the specified `long` to the end of the Buffer in the Little Endian Byte Order. The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Parameters:
        `l` -
      Returns:

    - #### appendShort

          public Buffer appendShort(short s)

      Appends the specified `short` to the end of the Buffer.The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Parameters:
        `s` -
      Returns:

    - #### appendShortLE

          public Buffer appendShortLE(short s)

      Appends the specified `short` to the end of the Buffer in the Little Endian Byte Order.The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Parameters:
        `s` -
      Returns:

    - #### appendUnsignedShort

          public Buffer appendUnsignedShort(int s)

      Appends the specified unsigned `short` to the end of the Buffer.The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Parameters:
        `s` -
      Returns:

    - #### appendUnsignedShortLE

          public Buffer appendUnsignedShortLE(int s)

      Appends the specified unsigned `short` to the end of the Buffer in the Little Endian Byte Order.The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Parameters:
        `s` -
      Returns:

    - #### appendFloat

          public Buffer appendFloat(float f)

      Appends the specified `float` to the end of the Buffer. The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Parameters:
        `f` -
      Returns:

    - #### appendDouble

          public Buffer appendDouble(double d)

      Appends the specified `double` to the end of the Buffer. The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Parameters:
        `d` -
      Returns:

    - #### appendString

          public Buffer appendString(String str,
                                     String enc)

      Appends the specified `String` to the end of the Buffer with the encoding as specified by `enc`.

      The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Parameters:
        `str` -
        `enc` -
      Returns:

    - #### appendString

          public Buffer appendString(String str)

      Appends the specified `String str` to the end of the Buffer with UTF-8 encoding.

      The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together

      Parameters:
        `str` -
      Returns:

    - #### setByte

          public Buffer setByte(int pos,
                                byte b)

      Sets the `byte` at position `pos` in the Buffer to the value `b`.

      The buffer will expand as necessary to accommodate any value written.

      Parameters:
        `pos` -
        `b` -
      Returns:

    - #### setUnsignedByte

          public Buffer setUnsignedByte(int pos,
                                        short b)

      Sets the unsigned `byte` at position `pos` in the Buffer to the value `b`.

      The buffer will expand as necessary to accommodate any value written.

      Parameters:
        `pos` -
        `b` -
      Returns:

    - #### setInt

          public Buffer setInt(int pos,
                               int i)

      Sets the `int` at position `pos` in the Buffer to the value `i`.

      The buffer will expand as necessary to accommodate any value written.

      Parameters:
        `pos` -
        `i` -
      Returns:

    - #### setIntLE

          public Buffer setIntLE(int pos,
                                 int i)

      Sets the `int` at position `pos` in the Buffer to the value `i` in the Little Endian Byte Order.

      The buffer will expand as necessary to accommodate any value written.

      Parameters:
        `pos` -
        `i` -
      Returns:

    - #### setUnsignedInt

          public Buffer setUnsignedInt(int pos,
                                       long i)

      Sets the unsigned `int` at position `pos` in the Buffer to the value `i`.

      The buffer will expand as necessary to accommodate any value written.

      Parameters:
        `pos` -
        `i` -
      Returns:

    - #### setUnsignedIntLE

          public Buffer setUnsignedIntLE(int pos,
                                         long i)

      Sets the unsigned `int` at position `pos` in the Buffer to the value `i` in the Little Endian Byte Order.

      The buffer will expand as necessary to accommodate any value written.

      Parameters:
        `pos` -
        `i` -
      Returns:

    - #### setMedium

          public Buffer setMedium(int pos,
                                  int i)

      Sets the 24bit `int` at position `pos` in the Buffer to the value `i`.

      The buffer will expand as necessary to accommodate any value written.

      Parameters:
        `pos` -
        `i` -
      Returns:

    - #### setMediumLE

          public Buffer setMediumLE(int pos,
                                    int i)

      Sets the 24bit `int` at position `pos` in the Buffer to the value `i`. in the Little Endian Byte Order

      The buffer will expand as necessary to accommodate any value written.

      Parameters:
        `pos` -
        `i` -
      Returns:

    - #### setLong

          public Buffer setLong(int pos,
                                long l)

      Sets the `long` at position `pos` in the Buffer to the value `l`.

      The buffer will expand as necessary to accommodate any value written.

      Parameters:
        `pos` -
        `l` -
      Returns:

    - #### setLongLE

          public Buffer setLongLE(int pos,
                                  long l)

      Sets the `long` at position `pos` in the Buffer to the value `l` in the Little Endian Byte Order.

      The buffer will expand as necessary to accommodate any value written.

      Parameters:
        `pos` -
        `l` -
      Returns:

    - #### setDouble

          public Buffer setDouble(int pos,
                                  double d)

      Sets the `double` at position `pos` in the Buffer to the value `d`.

      The buffer will expand as necessary to accommodate any value written.

      Parameters:
        `pos` -
        `d` -
      Returns:

    - #### setFloat

          public Buffer setFloat(int pos,
                                 float f)

      Sets the `float` at position `pos` in the Buffer to the value `f`.

      The buffer will expand as necessary to accommodate any value written.

      Parameters:
        `pos` -
        `f` -
      Returns:

    - #### setShort

          public Buffer setShort(int pos,
                                 short s)

      Sets the `short` at position `pos` in the Buffer to the value `s`.

      The buffer will expand as necessary to accommodate any value written.

      Parameters:
        `pos` -
        `s` -
      Returns:

    - #### setShortLE

          public Buffer setShortLE(int pos,
                                   short s)

      Sets the `short` at position `pos` in the Buffer to the value `s` in the Little Endian Byte Order.

      The buffer will expand as necessary to accommodate any value written.

      Parameters:
        `pos` -
        `s` -
      Returns:

    - #### setUnsignedShort

          public Buffer setUnsignedShort(int pos,
                                         int s)

      Sets the unsigned `short` at position `pos` in the Buffer to the value `s`.

      The buffer will expand as necessary to accommodate any value written.

      Parameters:
        `pos` -
        `s` -
      Returns:

    - #### setUnsignedShortLE

          public Buffer setUnsignedShortLE(int pos,
                                           int s)

      Sets the unsigned `short` at position `pos` in the Buffer to the value `s` in the Little Endian Byte Order.

      The buffer will expand as necessary to accommodate any value written.

      Parameters:
        `pos` -
        `s` -
      Returns:

    - #### setBuffer

          public Buffer setBuffer(int pos,
                                  Buffer b)

      Sets the bytes at position `pos` in the Buffer to the bytes represented by the `Buffer b`.

      The buffer will expand as necessary to accommodate any value written.

      Parameters:
        `pos` -
        `b` -
      Returns:

    - #### setBuffer

          public Buffer setBuffer(int pos,
                                  Buffer b,
                                  int offset,
                                  int len)

      Sets the bytes at position `pos` in the Buffer to the bytes represented by the `Buffer b` on the given `offset` and `len`.

      The buffer will expand as necessary to accommodate any value written.

      Parameters:
        `pos` -
        `b` -
        `offset` -
        `len` -
      Returns:

    - #### setString

          public Buffer setString(int pos,
                                  String str)

      Sets the bytes at position `pos` in the Buffer to the value of `str` encoded in UTF-8.

      The buffer will expand as necessary to accommodate any value written.

      Parameters:
        `pos` -
        `str` -
      Returns:

    - #### setString

          public Buffer setString(int pos,
                                  String str,
                                  String enc)

      Sets the bytes at position `pos` in the Buffer to the value of `str` encoded in encoding `enc`.

      The buffer will expand as necessary to accommodate any value written.

      Parameters:
        `pos` -
        `str` -
        `enc` -
      Returns:

    - #### length

          public int length()

      Returns the length of the buffer, measured in bytes. All positions are indexed from zero.
      Returns:

    - #### copy

          public Buffer copy()

      Returns a copy of the entire Buffer.
      Returns:

    - #### slice

          public Buffer slice()

      Returns a slice of this buffer. Modifying the content of the returned buffer or this buffer affects each other's content while they maintain separate indexes and marks.
      Returns:

    - #### slice

          public Buffer slice(int start,
                              int end)

      Returns a slice of this buffer. Modifying the content of the returned buffer or this buffer affects each other's content while they maintain separate indexes and marks.
      Parameters:
        `start` -
        `end` -
      Returns:

    - #### buffer

          public static Buffer buffer(byte[] bytes)

      Create a new buffer from a byte[]. The byte[] will be copied to form the buffer.
      Parameters:
        `bytes` - the byte array
      Returns:
        the buffer

    - #### buffer

          @Deprecated
          public static Buffer buffer(ByteBuf byteBuf)

      Deprecated.

      Create a new buffer from a Netty `ByteBuf`. Note that the returned buffer is backed by given Netty ByteBuf, so changes in the returned buffer are reflected in given Netty ByteBuf, and vice-versa.

      For example, both buffers in the code below share their data:

             Buffer src = Buffer.buffer();
             Buffer clone = Buffer.buffer(src.getByteBuf());

      Parameters:
        `byteBuf` - the Netty ByteBuf
      Returns:
        the buffer

    - #### toString

          public String toString(Charset enc)

      Returns a `String` representation of the Buffer with the encoding specified by `enc`
      Parameters:
        `enc` -
      Returns:

    - #### getBytes

          public byte[] getBytes()

      Returns a copy of the entire Buffer as a `byte[]`
      Returns:

    - #### getBytes

          public byte[] getBytes(int start,
                                 int end)

      Returns a copy of a sub-sequence the Buffer as a `byte[]` starting at position `start` and ending at position `end - 1`
      Parameters:
        `start` -
        `end` -
      Returns:

    - #### getBytes

          public Buffer getBytes(byte[] dst)

      Transfers the content of the Buffer into a `byte[]`.
      Parameters:
        `dst` - the destination byte array
      Returns:

    - #### getBytes

          public Buffer getBytes(byte[] dst,
                                 int dstIndex)

      Transfers the content of the Buffer into a `byte[]` at the specific destination.
      Parameters:
        `dst` - the destination byte array
        `dstIndex` -
      Returns:

    - #### getBytes

          public Buffer getBytes(int start,
                                 int end,
                                 byte[] dst)

      Transfers the content of the Buffer starting at position `start` and ending at position `end - 1` into a `byte[]`.
      Parameters:
        `start` -
        `end` -
        `dst` - the destination byte array
      Returns:

    - #### getBytes

          public Buffer getBytes(int start,
                                 int end,
                                 byte[] dst,
                                 int dstIndex)

      Transfers the content of the Buffer starting at position `start` and ending at position `end - 1` into a `byte[]` at the specific destination.
      Parameters:
        `start` -
        `end` -
        `dst` - the destination byte array
        `dstIndex` -
      Returns:

    - #### appendBytes

          public Buffer appendBytes(byte[] bytes)

      Appends the specified `byte[]` to the end of the Buffer. The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Parameters:
        `bytes` -
      Returns:

    - #### appendBytes

          public Buffer appendBytes(byte[] bytes,
                                    int offset,
                                    int len)

      Appends the specified number of bytes from `byte[]` to the end of the Buffer, starting at the given offset. The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Parameters:
        `bytes` -
        `offset` -
        `len` -
      Returns:

    - #### setBytes

          public Buffer setBytes(int pos,
                                 ByteBuffer b)

      Sets the bytes at position `pos` in the Buffer to the bytes represented by the `ByteBuffer b`.

      The buffer will expand as necessary to accommodate any value written.

      Parameters:
        `pos` -
        `b` -
      Returns:

    - #### setBytes

          public Buffer setBytes(int pos,
                                 byte[] b)

      Sets the bytes at position `pos` in the Buffer to the bytes represented by the `byte[] b`.

      The buffer will expand as necessary to accommodate any value written.

      Parameters:
        `pos` -
        `b` -
      Returns:

    - #### setBytes

          public Buffer setBytes(int pos,
                                 byte[] b,
                                 int offset,
                                 int len)

      Sets the given number of bytes at position `pos` in the Buffer to the bytes represented by the `byte[] b`.

      The buffer will expand as necessary to accommodate any value written.
      Parameters:
        `pos` -
        `b` -
        `offset` -
        `len` -
      Returns:

    - #### getByteBuf

          @Deprecated
          public ByteBuf getByteBuf()

      Deprecated.
      Returns the Buffer as a Netty `ByteBuf`.

      The returned buffer is a duplicate that maintain its own indices.

      Returns:

    - #### newInstance

          public static Buffer newInstance(Buffer arg)

Copyright © 2025 Eclipse. All rights reserved.